Package com.smartgwt.client.types

# Enum TimeUnit

java.lang.Object
java.lang.Enum<TimeUnit>
com.smartgwt.client.types.TimeUnit

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<TimeUnit>`, `Constable`

public enum TimeUnit extends Enum<TimeUnit> implements ValueEnum
An enum of time-units available for use with the `RelativeDateItem`, `TimeItem` and `Calendar` widgets.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DAY`
  a day time-unit
  `HOUR`
  an hour time-unit
  `MILLISECOND`
  a millisecond time-unit
  `MINUTE`
  a minute time-unit
  `MONTH`
  a month time-unit
  `QUARTER`
  a quarter (3 month) time-unit
  `SECOND`
  a second time-unit
  `WEEK`
  a week time-unit
  `YEAR`
  a year time-unit

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static TimeUnit`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static TimeUnit[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### MILLISECOND

    public static final TimeUnit MILLISECOND
    a millisecond time-unit

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "millisecond".

  - ### SECOND

    public static final TimeUnit SECOND
    a second time-unit

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "second".

  - ### MINUTE

    public static final TimeUnit MINUTE
    a minute time-unit

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "minute".

  - ### HOUR

    public static final TimeUnit HOUR
    an hour time-unit

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "hour".

  - ### DAY

    public static final TimeUnit DAY
    a day time-unit

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "day".

  - ### WEEK

    public static final TimeUnit WEEK
    a week time-unit

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "week".

  - ### MONTH

    public static final TimeUnit MONTH
    a month time-unit

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "month".

  - ### QUARTER

    public static final TimeUnit QUARTER
    a quarter (3 month) time-unit

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "quarter".

  - ### YEAR

    public static final TimeUnit YEAR
    a year time-unit

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "year".

- ## Method Details

  - ### values

    public static TimeUnit[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static TimeUnit valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`